var page_pipewire =
[
    [ "Design", "page_design.html", [
      [ "Components", "index.html#autotoc_md0", null ],
      [ "API Documentation", "index.html#autotoc_md1", null ],
      [ "More Documentation", "index.html#autotoc_md2", null ],
      [ "Resources", "index.html#autotoc_md3", null ],
      [ "Motivation", "page_overview.html#autotoc_md4", null ],
      [ "Internals", "page_pipewire.html#autotoc_md5", null ],
      [ "Components", "page_pipewire.html#autotoc_md6", null ],
      [ "Backends", "page_pipewire.html#autotoc_md7", [
        [ "Protocol", "page_design.html#autotoc_md8", null ],
        [ "Extensibility", "page_design.html#autotoc_md9", null ]
      ] ]
    ] ],
    [ "Audio", "page_audio.html", [
      [ "Use cases", "page_audio.html#autotoc_md91", [
        [ "Audio devices are made available as processing nodes/ports", "page_audio.html#autotoc_md92", [
          [ "Audio devices can be plugged and unplugged", "page_audio.html#autotoc_md93", null ],
          [ "Audio port in canonical format", "page_audio.html#autotoc_md94", null ],
          [ "Applications can connect to audio devices", "page_audio.html#autotoc_md95", null ],
          [ "Default audio sink and sources", "page_audio.html#autotoc_md96", null ],
          [ "Application should be able to move between sinks/sources", "page_audio.html#autotoc_md97", null ],
          [ "Exclusive access", "page_audio.html#autotoc_md98", null ]
        ] ]
      ] ],
      [ "Design", "page_audio.html#autotoc_md99", [
        [ "SPA", "page_audio.html#autotoc_md100", null ],
        [ "Audio Adapter", "page_audio.html#autotoc_md101", null ],
        [ "The session manager", "page_audio.html#autotoc_md102", null ]
      ] ],
      [ "Implementation", "page_audio.html#autotoc_md103", [
        [ "pipewire-media-session (alsa-monitor)", "page_audio.html#autotoc_md104", null ]
      ] ]
    ] ],
    [ "Access Control", "page_access.html", [
      [ "Use cases", "page_access.html#autotoc_md10", null ],
      [ "Design", "page_access.html#autotoc_md16", [
        [ "The PipeWire daemon", "page_access.html#autotoc_md17", null ],
        [ "The PipeWire access module", "page_access.html#autotoc_md18", null ],
        [ "The session manager", "page_access.html#autotoc_md19", null ]
      ] ]
    ] ],
    [ "Portal Access Control", "page_portal.html", [
      [ "Use cases", "page_portal.html#autotoc_md33", null ],
      [ "Design", "page_portal.html#autotoc_md37", [
        [ "The portal", "page_portal.html#autotoc_md38", null ],
        [ "The PipeWire portal module", "page_portal.html#autotoc_md39", null ],
        [ "The client", "page_portal.html#autotoc_md40", null ],
        [ "The session manager", "page_portal.html#autotoc_md41", null ]
      ] ]
    ] ],
    [ "MIDI Support", "page_midi.html", [
      [ "Use cases", "page_midi.html#autotoc_md20", null ],
      [ "Design", "page_midi.html#autotoc_md26", [
        [ "SPA", "page_midi.html#autotoc_md27", null ],
        [ "The PipeWire daemon", "page_midi.html#autotoc_md28", null ],
        [ "The session manager", "page_midi.html#autotoc_md29", null ]
      ] ],
      [ "Implementation", "page_midi.html#autotoc_md30", [
        [ "pipewire-media-session", "page_midi.html#autotoc_md31", null ],
        [ "JACK", "page_midi.html#autotoc_md32", null ]
      ] ]
    ] ],
    [ "Objects Design", "page_objects_design.html", null ],
    [ "PipeWire Library", "page_library.html", null ],
    [ "DMA-BUF sharing", "page_dma_buf.html", [
      [ "Capability negotiations", "page_dma_buf.html#autotoc_md154", [
        [ "The media graph", "page_objects_design.html#autotoc_md65", [
          [ "New clients need their permissions configured", "page_access.html#autotoc_md11", null ],
          [ "Flatpaks can't modify other stream/device volumes", "page_access.html#autotoc_md12", null ],
          [ "Flatpaks can't move other streams to different devices", "page_access.html#autotoc_md13", null ],
          [ "Application should be restricted in what they can see", "page_access.html#autotoc_md14", null ],
          [ "\"Manager\" applications require full access", "page_access.html#autotoc_md15", null ],
          [ "new portal managed clients need device permissions configured", "page_portal.html#autotoc_md34", null ],
          [ "new devices need to be made visible to portal managed clients", "page_portal.html#autotoc_md35", null ],
          [ "permissions for a device need to be revoked", "page_portal.html#autotoc_md36", null ],
          [ "MIDI devices are made available as processing nodes/ports", "page_midi.html#autotoc_md21", null ],
          [ "MIDI devices can be plugged and unplugged", "page_midi.html#autotoc_md22", null ],
          [ "Applications can connect to MIDI devices", "page_midi.html#autotoc_md23", null ],
          [ "Some MIDI devices are sinks or sources for midi data", "page_midi.html#autotoc_md24", null ],
          [ "Applications should autoconnect to MIDI sinks or sources", "page_midi.html#autotoc_md25", null ],
          [ "Node", "page_objects_design.html#autotoc_md66", null ],
          [ "Port", "page_objects_design.html#autotoc_md67", null ],
          [ "Link", "page_objects_design.html#autotoc_md68", null ]
        ] ],
        [ "The session management graph", "page_objects_design.html#autotoc_md69", [
          [ "Endpoint", "page_objects_design.html#autotoc_md70", [
            [ "Target", "page_objects_design.html#autotoc_md71", null ]
          ] ],
          [ "Endpoint Stream", "page_objects_design.html#autotoc_md72", null ],
          [ "Endpoint Link", "page_objects_design.html#autotoc_md73", [
            [ "Constructing", "page_objects_design.html#autotoc_md74", null ]
          ] ]
        ] ],
        [ "Other related objects", "page_objects_design.html#autotoc_md75", [
          [ "Device", "page_objects_design.html#autotoc_md76", null ],
          [ "Session", "page_objects_design.html#autotoc_md77", [
            [ "Default endpoints", "page_objects_design.html#autotoc_md78", null ],
            [ "Multiple sessions", "page_objects_design.html#autotoc_md79", null ]
          ] ]
        ] ],
        [ "Mappings to underlying subsystem objects", "page_objects_design.html#autotoc_md80", [
          [ "ALSA UCM", "page_objects_design.html#autotoc_md81", null ],
          [ "ALSA fallback", "page_objects_design.html#autotoc_md82", null ],
          [ "V4L2", "page_objects_design.html#autotoc_md83", null ]
        ] ],
        [ "Relationship to other APIs", "page_objects_design.html#autotoc_md84", [
          [ "PulseAudio", "page_objects_design.html#autotoc_md85", [
            [ "Mapping PipeWire objects for access by PulseAudio clients", "page_objects_design.html#autotoc_md86", null ],
            [ "Mapping PulseAudio clients to PipeWire", "page_objects_design.html#autotoc_md87", null ]
          ] ],
          [ "Jack", "page_objects_design.html#autotoc_md88", [
            [ "Mapping PipeWire objects for access by JACK clients", "page_objects_design.html#autotoc_md89", null ],
            [ "Mapping JACK clients to PipeWire", "page_objects_design.html#autotoc_md90", null ]
          ] ]
        ] ],
        [ "Principles", "page_library.html#autotoc_md42", null ],
        [ "Versioning", "page_library.html#autotoc_md43", null ],
        [ "Proxies and resources", "page_library.html#autotoc_md44", null ],
        [ "Interfaces", "page_library.html#autotoc_md45", [
          [ "<tt>struct pw_loop</tt>", "page_library.html#autotoc_md46", null ],
          [ "<tt>struct pw_context</tt>", "page_library.html#autotoc_md47", null ],
          [ "<tt>struct pw_core</tt>", "page_library.html#autotoc_md48", null ],
          [ "<tt>struct pw_registry</tt>", "page_library.html#autotoc_md49", null ],
          [ "<tt>struct pw_module</tt>", "page_library.html#autotoc_md50", null ],
          [ "<tt>struct pw_factory</tt>", "page_library.html#autotoc_md51", null ],
          [ "<tt>struct pw_device</tt>", "page_library.html#autotoc_md52", null ],
          [ "<tt>struct pw_node</tt>", "page_library.html#autotoc_md53", null ],
          [ "<tt>struct pw_port</tt>", "page_library.html#autotoc_md54", null ],
          [ "<tt>struct pw_link</tt>", "page_library.html#autotoc_md55", null ]
        ] ],
        [ "High level helper objects", "page_library.html#autotoc_md56", [
          [ "<tt>struct pw_filter</tt>", "page_library.html#autotoc_md57", null ],
          [ "<tt>struct pw_stream</tt>", "page_library.html#autotoc_md58", null ]
        ] ],
        [ "Security", "page_library.html#autotoc_md59", null ],
        [ "Implementation", "page_library.html#autotoc_md60", null ],
        [ "Error reporting", "page_library.html#autotoc_md61", null ],
        [ "pw_stream_connect", "page_dma_buf.html#autotoc_md155", null ],
        [ "param_changed hook", "page_dma_buf.html#autotoc_md156", [
          [ "For consumers", "page_dma_buf.html#autotoc_md157", null ],
          [ "For producers", "page_dma_buf.html#autotoc_md158", null ]
        ] ],
        [ "add_buffer hook", "page_dma_buf.html#autotoc_md159", null ],
        [ "on_event hook", "page_dma_buf.html#autotoc_md160", null ],
        [ "Example programs", "page_dma_buf.html#autotoc_md161", null ]
      ] ],
      [ "DMA-BUF mapping warning", "page_dma_buf.html#autotoc_md162", null ],
      [ "v4l2", "page_dma_buf.html#autotoc_md163", null ]
    ] ],
    [ "PipeWire Daemon", "page_daemon.html", [
      [ "Configuration Files", "page_daemon.html#sec_config", [
        [ "Configuration File Format", "page_daemon.html#sec_config_format", null ]
      ] ],
      [ "Logging", "page_daemon.html#sec_logging", null ]
    ] ],
    [ "PipeWire Tools", "page_tools.html", null ],
    [ "PipeWire Session Manager", "page_session_manager.html", null ],
    [ "PulseAudio compatibility", "page_pulseaudio.html", [
      [ "Internals - Mapping between ALSA and streams", "page_pulseaudio.html#autotoc_md145", [
        [ "Client management", "page_session_manager.html#autotoc_md62", null ],
        [ "Device management", "page_session_manager.html#autotoc_md63", null ],
        [ "Endpoint grouping", "page_session_manager.html#autotoc_md64", null ],
        [ "ALSA Cards", "page_pulseaudio.html#autotoc_md146", null ],
        [ "Streams", "page_pulseaudio.html#autotoc_md147", null ]
      ] ],
      [ "Session Manager", "page_pulseaudio.html#autotoc_md148", [
        [ "ALSA UCM", "page_pulseaudio.html#autotoc_md149", null ],
        [ "ALSA fallback", "page_pulseaudio.html#autotoc_md150", null ],
        [ "ALSA pulse UCM", "page_pulseaudio.html#autotoc_md151", null ],
        [ "ALSA pulse fallback", "page_pulseaudio.html#autotoc_md152", null ]
      ] ],
      [ "PulseAudio", "page_pulseaudio.html#autotoc_md153", null ]
    ] ]
];